udisks2 (2.10.1-12) unstable; urgency=medium

  * tests: Fix expected error message with util-linux 2.41.
    Patch cherry-picked from upstream Git. (Closes: #1098673)
  * Switch debian-branch to debian/unstable in gbp.conf

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Feb 2025 12:57:07 +0100

udisks2 (2.10.1-11) unstable; urgency=medium

  * Replace dependency on dbus with default-dbus-system-bus | dbus-system-bus.
    This makes it easier to swap in alternative implementations like
    dbus-broker.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Sep 2024 01:26:14 +0200

udisks2 (2.10.1-10) unstable; urgency=medium

  [ Alessandro Astone ]
  * debian: Add patch to fix tests with exfatprogs 1.2.5

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Aug 2024 12:15:51 +0200

udisks2 (2.10.1-9) unstable; urgency=medium

  * Disable build path variation for reprotest on Salsa CI.
    In src/udisksmodulemanager.c the build path (BUILD_DIR) is embeded
    causing reprotest to fail.
  * Do not overwrite CPPFLAGS and use AM_CPPFLAGS instead.
    This ensures that all hardening build flags are correctly applied.
  * Disable test-crossbuild-arm64 on Salsa CI.
    This requires changes to gobject-introspection for it to actually work.
    See #1030223.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Jul 2024 17:52:56 +0200

udisks2 (2.10.1-8) unstable; urgency=medium

  * Enable standard salsa CI
  * Do not automatically mount unmaintained file systems.
    Ship a udev rules files named 70-insecure-fs.rules which sets the udev
    property UDISKS_AUTO to 0 for file systems that are marked as "Orphan"
    or "Odd Fixes" in the kernel MAINTAINERS file. Those are more at risk of
    having security-sensitive defects which could be exploited by a crafted
    file system.
    The list includes the following file systems:
    affs, ecryptfs, efs, hfs, hfsplus, jffs2, jfs, qnx6, sysv.
    As we require ID_FS_TYPE to be set, use priority 70 so it is ordered
    after 60-persistent-storage.rules.
    Thanks to Marco d'Itri (Closes: #1041552)
  * Bump Standards-Version to 4.7.0
  * Drop Ubuntu specific workaround for exfatprogs

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jul 2024 19:00:16 +0200

udisks2 (2.10.1-7) unstable; urgency=medium

  * integration-test: Adapt to the new libmount context error messages
    (Closes: #1070019)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Apr 2024 17:27:36 +0200

udisks2 (2.10.1-6) unstable; urgency=medium

  [ Martin Pitt ]
  * Don't build with -Wl,-Bsymbolic-functions.
    It breaks module loading, as it confuses GObject's type loading cache:
    "cannot register existing type 'UDisksDaemon'".
    Ubuntu enables this linker flag by default, no-op for Debian.
    (LP: #2040488)

  [ Michael Biebl ]
  * Drop python3-distutils Depends from debian/tests/control.
    No longer needed since 2.10.0. (Closes: #1065991)
  * Build-depend on pkgconf instead of pkg-config

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Mar 2024 23:19:45 +0100

udisks2 (2.10.1-5) unstable; urgency=medium

  * tests: Fix targetcli_config.json.
    Not all attributes are available anymore in newer kernel versions.

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Jan 2024 12:28:58 +0100

udisks2 (2.10.1-4) unstable; urgency=medium

  * Stop moving files from /usr/sbin to /sbin.
    With merged-/usr being mandatory, this is no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 05:40:54 +0100

udisks2 (2.10.1-3) unstable; urgency=medium

  * Replace udev Build-Depends with systemd-dev.
    The new systemd-dev package ships udev.pc and systemd.pc which provides
    the paths for udevdir/systemdsystemunitdir/tmpfilesdir.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:51:36 +0100

udisks2 (2.10.1-2) unstable; urgency=medium

  * Move systemd services files and udev rules to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2023 14:39:24 +0200

udisks2 (2.10.1-1) unstable; urgency=medium

  * New upstream version 2.10.1
    - Limit getting filesystem size only to Ext and XFS
      (Closes: #1043022, #1040836)
    - Use ID_FS_SIZE for filesystems that are not known to report
      ID_FS_LASTBLOCK (Closes: #1041774)

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Sep 2023 14:47:10 +0200

udisks2 (2.10.0-5) unstable; urgency=medium

  * Remove libblockdev-crypto2 from test dependencies.
    It has been replaced by libblockdev-crypto3, but since libblockdev-crypto
    is no longer an optional dependency, udisks2 already depends on it, so an
    explicit test dependency is no longer needed.
    (Closes: #1042794)

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Aug 2023 08:20:32 +0200

udisks2 (2.10.0-4) unstable; urgency=medium

  * Drop obsolete --disable-vdo configure switch as well
  * udiskslinuxloop: Avoid warnings on empty loop devices (Closes: #1041649)

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Jul 2023 22:02:00 +0200

udisks2 (2.10.0-3) unstable; urgency=medium

  * Update libblockdev-mdraid2 to libblockdev-mdraid3 (Closes: #1040797)
  * Bump libblockdev-{crypto3,mdraid3,nvme3} to Depends.
    Fixes a crash in udisksd if those plugins are missing. (Closes: #1040793)

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 23:36:46 +0200

udisks2 (2.10.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 09:22:10 +0200

udisks2 (2.10.0-1) experimental; urgency=medium

  * New upstream version 2.10.0
  * Drop patches, merged upstream
  * Install new zsh completion file
  * Drop obsolete configure switches
  * Drop udisks2-bcache and udisks2-zram subpackages.
    The kbd and vdo libblockdev plugins were removed and so were zram,
    bcache and vdo udisks modules.
  * Update (Build-)Depends
    - Bump libblockdev-*-dev to (>= 3.0)
    - Bump libglib2.0-dev to (>= 2.68)
    - Drop libblockdev-kbd-dev, no longer exits in version 3.0
    - Add libblockdev-nvme-dev for NVME support
    - Add libblkid-dev
    - Update libblockdev-* Depends/Recommends for the soversion bump from 2 to 3
    - Add new Recommends libblockdev-nvme3 to udisks2
  * Update symbols file for libudisks2-0.
    Drop bcache and zram related symbols. Those were only used internally,
    so we get away without a soname bump.
  * Bump Standards-Version to 4.6.2
  * Add strictly versioned dependency between udisks2 and libudisks2-0.
    udisks2 and libudisks2-0 should always be in sync.

 -- Michael Biebl <biebl@debian.org>  Fri, 07 Jul 2023 21:39:17 +0200

udisks2 (2.9.4-4) unstable; urgency=medium

  * Update debian/watch.
    Use the GitHub API when checking for new upstream releases.
  * (Build-)Depend on polkitd instead of the transitional policykit-1
    (Closes: #1025586)
  * Add lintian override for source-is-missing false positive

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 17:02:25 +0100

udisks2 (2.9.4-3) unstable; urgency=medium

  * Drop no longer needed override for dh_missing.
    In compat 13 and later, --fail-missing is the default.
  * Simplify debian/rules a bit.
    Drop unused overrides and use execute_before/after where appropriate.
  * Bump Standards-Version to 4.6.1
  * Use dh-sequence-gir Build-Depends to enable the gir addon

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2022 15:33:30 +0200

udisks2 (2.9.4-2) unstable; urgency=medium

  * Team upload

  [ Alex Murray ]
  * Cherry-pick patch to fix crash on shutdown
    - Avoid a double free of static daemon resources (LP: #1964532)

  [ Steve Langasek ]
  * debian/tests/control: Use exfatprogs instead of obsolete exfat-utils

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 07:41:47 -0400

udisks2 (2.9.4-1) unstable; urgency=medium

  * New upstream version 2.9.4
  * Bump Standards-Version to 4.6.0

 -- Michael Biebl <biebl@debian.org>  Wed, 29 Sep 2021 20:46:35 +0200

udisks2 (2.9.3-1) unstable; urgency=medium

  * New upstream version 2.9.3
  * Drop patches, applied upstream
  * Drop obsolete udisks2.maintscript file
  * Recommend exfatprogs instead of exfat-utils.
    Prefer the native, in-kernel exFAT implementation over the FUSE-based one.
    (Closes: #992152)

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Aug 2021 14:06:02 +0200

udisks2 (2.9.2-2) unstable; urgency=medium

  * udisksclient: Make get_block_for_drive deterministic.
    Fixes "udisks_client_get_block_for_drive() always returns the wrong
    block of eMMC". (Closes: #987582)

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Apr 2021 21:12:10 +0200

udisks2 (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2
  * Bump Build-Depends on libblockdev-dev to (>= 2.25) as per configure.ac
  * Update debian/copyright
  * Bump debhelper-compat to 13

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Feb 2021 19:44:02 +0100

udisks2 (2.9.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1
  * Demote libpam-systemd to Recommends.
    This allows users to use and experiment with alternative init systems.
    Such a setup is neither tested nor fully supported and users need to be
    aware that some functionality might be broken. (Closes: #923387)
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Jan 2021 15:20:17 +0100

udisks2 (2.9.1-2) unstable; urgency=medium

  * Don't install 90-udisks2-zram.rules twice (Closes: #969094)

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Aug 2020 19:18:39 +0200

udisks2 (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
  * Install new 90-udisks2-zram.rules udev rules file for udisks2-zram.
    It was split out from 80-udisks2.rules.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Aug 2020 11:34:03 +0200

udisks2 (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
    - Rework mount options handling (Closes: #961252)
  * Move gtk-doc-tools back to Build-Depends and drop <!nodoc> annotation
  * Use DEP-14 branch names
  * Stop building the deprecated standalone VDO module.
    This functionality is now provided via the new LVM-VDO integration.
  * Rebase patches
  * Bump Build-Depends on libblockdev-dev to (>= 2.24)
  * Stop installing clean-mount-point@.service which was removed upstream
  * Update symbols file for libudisks2-0.
    The library now includes all generated module D-Bus API GDBus symbols.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 May 2020 19:42:37 +0200

udisks2 (2.8.4-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Make sure udevadm trigger never fails in postinst

  [ Laurent Bigonville ]
  * Move the daemons to /usr/libexec now that's allowed in the policy
  * Do not try to build the documentation if it's not needed, mark udisks2-doc
    with Build-profiles: <!nodoc>
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/libudisks2-0.symbols: Add Build-Depends-Package field

  [ Philip Withnall ]
  * Backport patch from upstream to fix encoding issue with GLib 2.63

 -- Michael Biebl <biebl@debian.org>  Sat, 16 May 2020 22:41:59 +0200

udisks2 (2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4
  * Make no-patch-numbers the default for gbp-pq
  * autopkgtest: Enable ntfs-3g integration tests
  * autopkgtest: Enable exfat integration tests
  * autopkgtest: Add python3-distutils to test dependencies

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Jul 2019 00:00:20 +0200

udisks2 (2.8.3-3) unstable; urgency=medium

  * Actually remove zram-setup@.service from udisks2 package
    (Closes: #931839)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Jul 2019 11:26:57 +0200

udisks2 (2.8.3-2) unstable; urgency=medium

  * Move zram-setup@.service from udisks2 to udisks2-zram.
    Add Breaks/Replaces accordingly. (Closes: #931399)

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Jul 2019 16:48:27 +0200

udisks2 (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3
  * Update symbols file for libudisks2-0
  * Drop no longer needed lintian override
  * Actually bump debhelper compat level to 12

 -- Michael Biebl <biebl@debian.org>  Tue, 09 Jul 2019 20:46:17 +0200

udisks2 (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * Replace Build-Depends on intlttool with gettext.
    Upstream has migrated from intltool to gettext.
    Add Build-Depends on policykit-1 (>= 0.105-18) so we have its .loc and
    .its files which are required for translating the policy files.
    Drop gnome-commmon Build-Depends as it is no longer needed.
    (Closes: #829943)
  * Drop patches, all merged upstream
  * Bump Standards-Version to 4.3.0
  * Use debhelper-compat (= 12) Build-Depends and drop debian/compat

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Mar 2019 22:44:58 +0100

udisks2 (2.8.1-4) unstable; urgency=medium

  * Cherry-pick commit to fix test race condition detected by Ubuntu ppc64el

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Feb 2019 20:48:01 -0500

udisks2 (2.8.1-3) unstable; urgency=medium

  * Move D-Bus policy file to /usr/share/dbus-1/system.d/
  * Remove obsolete conffile /etc/dbus-1/system.d/org.freedesktop.UDisks2.conf
    on upgrades
  * Bump Standards-Version to 4.2.1

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Nov 2018 00:57:56 +0100

udisks2 (2.8.1-2) unstable; urgency=medium

  * Team upload.
  * Enable support for Virtual Data Optimizer (VDO)
    - Split the vdo module into a separate package named udisks2-vdo.
  * Enable support for bcache
    - Split the bcache module into a separate package named udisks2-bcache.
  * Enable support for zram
    - Split the zram module into a separate package named udisks2-zram.
  * Enable all hardening flags
  * Bump debhelper compat to 11
  * Revert "Fix udevadm-called-without-guard lintian warning":
    - This was a false positive. See #909801

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 14 Oct 2018 14:28:58 -0400

udisks2 (2.8.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
    - includes fix for CVE-2018-17336 (Closes: #909607)
  * Bump build-dependency version according to configure.ac changes
  * Drop patches from upstream now included in release
  * libudisks2-0.symbols: Add newly introduced symbols

  [ Jeremy Bicha ]
  * Fix udevadm-called-without-guard lintian warning

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Sep 2018 15:48:23 -0400

udisks2 (2.7.6-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Iain Lane ]
  * debian/rules, debian/control: Recommend libblockdev-crypto2 in Ubuntu too
    - the package is going to main now. (LP: #1757321)
  * d/p/0001-integration-test-Wait-longer-after-the-scsi-debug-CD.patch,
    d/p/0002-integration-test-don-t-error-out-on-an-unknown-distr.patch,
    d/p/0004-tests-Pass-absolute-path-to-targetcli_config.json.patch:
    Cherry-pick patches from upstream or in one case an upstream PR to fix
    testsuite failures. All via Ubuntu.
  * d/p/0003-main.c-Properly-remove-sigint-source.patch: Remove GSource
    properly - the old way was causing crashes.
  * debian/tests/control: Add test-deps on libblockdev-crypto2 and
    targetcli-fb, both of which are required by the testsuite.

 -- Iain Lane <laney@debian.org>  Thu, 19 Apr 2018 13:48:28 +0100

udisks2 (2.7.6-2) unstable; urgency=medium

  * Team upload
  * Don't recommend exfat-utils on Ubuntu since it's in universe.
    See bug 1649537.
  * Don't recommend libblockdev-crypto2 on Ubuntu since volume-key
    is in universe. See bug 1754422.

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 08 Mar 2018 12:47:07 -0500

udisks2 (2.7.6-1) unstable; urgency=medium

  * New upstream version 2.7.6
  * Bump Build-Depends on libglib2.0-dev to (>= 2.50)
  * Add Build-Depends on libmount-dev (>= 2.30)
  * Set Rules-Requires-Root to no
  * Update symbols file for libudisks2-0

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Feb 2018 00:43:59 +0100

udisks2 (2.7.5-1) unstable; urgency=medium

  * New upstream version 2.7.5
  * Bump Standards-Version to 4.1.2

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Dec 2017 03:09:53 +0100

udisks2 (2.7.4-1) unstable; urgency=medium

  * New upstream version 2.7.4
  * Bump Build-Depends on libblockdev-dev to (>= 2.14)
  * Bump Standards-Version to 4.1.1
  * Update symbols file for libudisks2-0

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 13:38:26 +0100

udisks2 (2.7.3-4) unstable; urgency=medium

  * Fix dependency of udisks2-btrfs on libblockdev-btrfs2 (Closes: #876143)

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Sep 2017 20:35:55 +0200

udisks2 (2.7.3-3) unstable; urgency=medium

  * Enable support for LVM2.
    Split the lvm2 module into a separate package named udisks2-lvm2.
  * Enable support for BTRFS.
    Split the btrfs module into a separate package named udisks2-btrfs.

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Sep 2017 20:09:33 +0200

udisks2 (2.7.3-2) unstable; urgency=medium

  * Revert accidental deletion of libudisks2.a

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Sep 2017 19:02:26 +0200

udisks2 (2.7.3-1) unstable; urgency=medium

  * New upstream version 2.7.3
  * Update symbols file for libudisks2-0
  * Demote udftools to Suggests
  * Drop obsolete alternative Suggests btrfs-tools
    btrfs-progs is available since stretch.
  * Drop obsolete cryptsetup-bin Suggests.
    This is now handled by libblockdev-crypto2.
  * Drop unnecessary libblockdev-lvm2 Suggests.
    We don't enable lvm2 support (yet) so there is no reason to have
    libblockdev-lvm2 installed.
  * Demote libblockdev-mdraid2 to Suggests
    libblockdev-mdraid2 will pull in mdadm which is a rather heavy dependency
    so we don't want install this dependency by default. If you need RAID
    support in udisks make sure to install this libblockdev plugin manually.
    (Closes: #873706)
  * Demote libblockdev-crypto2 to Recommends.
    We want to have working LUKS/cryptsetup support by default but provide
    the option for users to not install this dependency if they don't need
    this functionality.
  * Use new dh_missing helper instead of dh_install --fail-missing

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Sep 2017 17:15:10 +0200

udisks2 (2.7.2-2) unstable; urgency=medium

  * Depend on blockdev plugins required by udisks2 core (Closes: #873627)
  * Add libblockdev plugins used by udisks modules to suggests

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Aug 2017 09:36:18 +0200

udisks2 (2.7.2-1) unstable; urgency=medium

  * New upstream release.
    - "using libblockdev library for all low level storage management
       tasks instead of calling command line tools" (Closes: #872123)
  * Add new libblockdev build-dependencies.
  * Update debian/libudisks2-0.symbols with new symbol additions
  * Stop recommending gdisk, no longer used
  * Recommend udftools since using mkudffs
  * Recommend e2fsprogs in case it becomes non-essential
  * Suggest f2fs-tools and nilfs-tools

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Aug 2017 13:43:27 +0200

udisks2 (2.6.5-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Add Build-Depends on libglib2.0-doc and policykit-1-doc. (Closes: #865956)

  [ Martin Pitt ]
  * Upload to unstable, now that stretch is released.
  * Bump Standards-Version to 4.0.0.
  * Drop custom prerm/postinst restart in favor of init-system-helpers
    generated code.

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jul 2017 10:37:18 +0200

udisks2 (2.6.5-1) experimental; urgency=medium

  * New upstream version 2.6.5

 -- Michael Biebl <biebl@debian.org>  Sat, 27 May 2017 23:03:19 +0200

udisks2 (2.6.4-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Mark udisks2-doc as Multi-Arch: foreign

  [ Michael Biebl ]
  * Bump debhelper compat level to 10 for automatic dh-autoreconf

  [ Andreas Henriksson ]
  * Update debian/watch for move to github
  * New upstream version 2.6.4
  * Adapt to upstream renaming README to README.md
  * Update libudisks2-0.symbols with many additions

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Apr 2017 15:38:21 +0200

udisks2 (2.1.8-1) unstable; urgency=medium

  * New upstream version:
    - Fixes race condition with creating and formatting partitions.
      (Closes: #767457, LP: #1460602)
  * debian/tests/upstream-system: Drop unnecessary dbus-run-session.
  * debian/tests/upstream-system: Collect core dump when the test crashes.
    This ought to help with tracking down https://launchpad.net/bugs/1585382.
  * Suggest btrfs-progs as preferred alternative to btrfs-tools
    (Closes: #842436)

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Nov 2016 11:16:50 +0100

udisks2 (2.1.7-3) unstable; urgency=medium

  * Drop no longer needed migration code from before jessie.
  * Add explicit Build-Depends on gnome-common. Required for the
    GNOME_COMPILE_WARNINGS macro. (Closes: #837828)
  * Ensure that /var/lib/udisks2 exists when running the upstream integration
    test.
  * Promote exfat-utils from Suggests to Recommends. The exFAT file system is
    more widely used these days so we want to have support installed by
    default. (Closes: #812467)
  * Use dbus-run-session to run tests. (Closes: #836042)

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Oct 2016 18:49:25 +0200

udisks2 (2.1.7-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Avoid using "dh_install -X.la". This would suppress installation of
    anything containing the substring .la *anywhere*. -X.la is
    less bad than -X.a (which stopped gnome-software from installing
    its .appstream file as intended, for example), but still seems
    somewhat risky.
  * Use https for Vcs-Git

  [ Michael Biebl ]
  * Run wrap-and-sort -at.
  * Use https for upstream homepage.
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2016 05:39:47 +0200

udisks2 (2.1.7-1) unstable; urgency=medium

  * New upstream release.
    - Drop git_Fix-udiskctl-help-for-glib-2.45.patch, included upstream.
  * debian/libudisks2-0.symbols: Add new symbols for this release.
  * udisks2-inhibit: Stop fiddling with polkit rules; restarting it can break
    existing clients/pending requests, and we can't use inotify as we don't
    want to write anything on the actual file system and bind mounts don't
    trigger inotify. Use a different approach of a temporary udev rule which
    sets UDISKS_IGNORE on all block devices. This continues to avoid touching
    the file system but does not need any daemon restarts, works with polkit
    >= 106, and now also suppresses showing new block devices on the desktop.
    (LP: #1508075)
  * Bump Standards-Version to 3.9.7 (no changes necessary).
  * debian/tests/upstream-system: Try to purge ntfs-3g, as the NTFS test still
    hangs the kernel often (see 2.1.5-1).
  * Add missing "make" test dependency.

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Mar 2016 10:52:39 +0100

udisks2 (2.1.6-2) unstable; urgency=medium

  * Fix udisksctl help crash with glib 2.45. (LP: #1478369)

 -- Martin Pitt <mpitt@debian.org>  Tue, 28 Jul 2015 07:48:20 +0200

udisks2 (2.1.6-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release.
    - Drop Decide-whether-devices-are-on-the-same-seat-by-uid-n.patch,
      included upstream.
  * debian/rules: Configure with explicit --libexecdir, as that's where the
    daemon gets installed now.

  [ Simon McVittie ]
  * Disable Automake "silent rules" for more useful buildd logs

 -- Martin Pitt <mpitt@debian.org>  Tue, 30 Jun 2015 10:41:32 +0200

udisks2 (2.1.5-3) unstable; urgency=medium

  * debian/control: Drop obsolete XS-Testsuite: field, dpkg adds this
    automatically now.

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Apr 2015 10:03:57 +0200

udisks2 (2.1.5-2) experimental; urgency=medium

  * Team upload.
  * Treat devices as "on the same seat" if the requesting uid owns
    the active login session on the device's seat. This means that shared
    services run by the user's `systemd --user`, such as the dbus-daemon
    run by dbus-user-session and the D-Bus or systemd services that
    it starts, can manipulate the user's devices even though those are
    not associated with any particular login session or seat.
    (Closes: #780004)

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Mar 2015 19:16:58 +0100

udisks2 (2.1.5-1) experimental; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - Drop default [df]mask for VFAT and NTFS (LP: #453605)
  * Drop our patches, included upstream.
  * debian/rules: Configure with --enable-fhs-media, to continue mounting in
    /media instead of /run/media. (Previously done by a Debian patch)
  * debian/tests/upstream-system: Drop ntfs-3g test dependency; due to a bug
    in the BLKRRPART ioctl this causes eternal udev and thus mount hangs.
    (see LP #1398859)
  * udisks2-inhibit: Don't use mount --move, as it doesn't work under shared
    mounts (i. e. under systemd). (LP: #1410851)

  [ Michael Biebl ]
  * Update Vcs-Browser URL to use cgit and https.

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Mar 2015 09:29:30 +0100

udisks2 (2.1.4-1) experimental; urgency=medium

  * New upstream bug fix release.
    - Avoids waking up disks from standby through SMART updates.
      (LP: #1281588)
    - Drop 00git_test_fixes.patch and libsystemd.patch, included upstream.
  * Bump Standards-Version to 3.9.6 (no changes necessary).
  * Add missing python3-dbus autopkgtest dependency.
  * integration-test: Skip double mount check for NTFS. Patch cherry-picked
    from upstream git.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Dec 2014 14:07:40 +0100

udisks2 (2.1.3-5) unstable; urgency=medium

  * Mark gir and dev package as Multi-Arch: same.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Sep 2014 18:05:33 +0200

udisks2 (2.1.3-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Pull in latest integration-test from upstream head, to fix race conditions
    in property checks.

  [ Michael Biebl ]
  * Build against libsystemd-dev.
  * Use multiarch libdir for typelib files following the latest changes in
    gobject-introspection. (Closes: #763241)

 -- Michael Biebl <biebl@debian.org>  Mon, 29 Sep 2014 23:28:46 +0200

udisks2 (2.1.3-3) unstable; urgency=medium

  * Add 00git_test_update_for_logind.patch: Update integration-test for logind
    seat tracking.
  * Add 00git_tests_sync.patch: In tests's sync(), also sync the file systems.
    This mitigates a race condition with changing labels, which particularly
    surfaces with the NTFS tests.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Aug 2014 11:27:55 +0200

udisks2 (2.1.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Use canonical Vcs fields
  * debian/control: Add build-dependency against libsystemd-login-dev and
    libsystemd-daemon-dev, this is enabling seat detection and inhibition
  * debian/control: Mark all the packages as linux-any instead of any
  * debian/control: Add dependecy against libpam-systemd, we need to be sure a
    logind session is registered for seat detection and system inhibitors

 -- Laurent Bigonville <bigon@debian.org>  Sat, 31 May 2014 22:40:10 +0200

udisks2 (2.1.3-1) unstable; urgency=high

  * New upstream security/bug fix release. Fixes buffer overflow in mount path
    parsing. (CVE-2014-0004, LP: #1288226)
  * Add "isolation-machine" autopkgtest restriction, this test does not work
    in schroot or LXC.

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Mar 2014 10:41:43 +0100

udisks2 (2.1.2-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - Add exfat support (Closes: #720695)
    - Fix crash when waiting for loop device (LP: #1128275)
    - Use dosfstools instead of mtools
    - Add polkit authorization variables for removable media
    - Hide more rescue partitions
  * Drop dosfslabel.patch, fixed upstream.
  * Add Recommends: gdisk, as we need it for manipulating GPT partition tables
    through sgdisk. (LP: #1080745)
  * Bump Standards-Version to 3.9.5. No changes necessary.

  [ Colin Watson ]
  * Use dh-autoreconf to update libtool macros for new ports.
    (Closes: #732287)

  [ Andreas Henriksson ]
  * Add parted dependency. (Closes: #720491)

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Jan 2014 10:04:52 +0100

udisks2 (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Drop patches which have been merged upstream.
  * Refresh dosfslabel.patch.
  * Update symbols file.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Aug 2013 12:54:45 +0200

udisks2 (2.1.0-4) unstable; urgency=low

  * Add 00git_nonexisting_run_udev_rules.d.patch: integration-test: Fix for
    nonexisting /run/udev/rules.d/.
  * Add 00git_vfat_test_case_insensitivity.patch: integration-test: For VFAT,
    ignore case for label comparison.
  * dosfslabel.patch: Adjust to work with dosfstools 3.0.16, which now
    enforces that labels must be uppercase. See upstream bug for details.

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 May 2013 09:59:10 +0200

udisks2 (2.1.0-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/rules: Simplify dh_girepository invocation by using the dh
    sequencer.

  [ Michael Biebl ]
  * Upload to unstable.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Fix gtk-doc configure flag.
  * Drop unused acl-dev Build-Depends alternative.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 May 2013 02:13:24 +0200

udisks2 (2.1.0-2) experimental; urgency=low

  * debian/rules: Call dh_girepository to get correct dependencies of
    gir1.2-udisks-2.0.
  * Add 00git_firewire_removable.patch: Properly identify firewire devices as
    non-system devices.
  * Add 00git_hide_smartware_partitions.patch: Fix hiding of "WD SmartWare"
    partitions. (LP: #732365)

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Mar 2013 08:31:00 +0100

udisks2 (2.1.0-1) experimental; urgency=low

  * New upstream release.
    - Add support for creating UDF filesystems (Closes: #699360)
    - Add drive poweroff method, so that gvfs can power down hotplugged drives
      instead of just ejecting them. (LP: #1067876)
  * mount_in_media.patch: Port redirection of "mounted-fs" storage to /var/lib
    to new code structure.
  * Drop test_luks_with_vfat.patch: Fixed in current 3.7 kernel.
  * libudisks2-0.symbols: Add new symbols from this release.
  * Add 00git_logind_test.patch: Fix test for logind availability.

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Mar 2013 08:14:49 +0100

udisks2 (2.0.1-1) experimental; urgency=low

  [ Martin Pitt ]
  * Add debian/patches/test_luks_with_vfat.patch: Run Luks test with VFAT
    instead of ext4, to work around kernel crash with Linux 3.7 when using
    ext4 (https://launchpad.net/bugs/1089818)

  [ Michael Biebl ]
  * New upstream release.
  * Update email address in debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Dec 2012 05:04:33 +0100

udisks2 (2.0.0-3) experimental; urgency=low

  * Add unsupported_acls.patch: Some file systems, such as ext2/ext3 that were
    created a few years ago, do not support ACLs. As long as we do not have
    /media on a tmpfs, ignore failures to set the ACL on /media/<user> and
    fall back to chowning the directory to the target user. (LP: #1048059)

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Nov 2012 07:31:03 +0100

udisks2 (2.0.0-2) experimental; urgency=low

  * Add symbols file for libudisks2-0.
  * debian/patches/dosfslabel.patch: Switch to dosfslabel to handle VFAT
    labels since we already require dosfstools for mkfs.vfat and dosfslabel
    works just as well as mlabel nowadays.
  * debian/control: Drop recommends on mtools.
  * debian/tests/control: Switch from mtools to dosfstools.
  * debian/control: Suggest exfat-utils for exFAT support.
  * debian/control: Suggest btrfs-tools for btrfs support.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Nov 2012 06:58:57 +0100

udisks2 (2.0.0-1) experimental; urgency=low

  * Final 2.0.0 release. Changes since our git snapshot:
    - Only do the isohybrid hack for the first partition
    - Don't complain about missing /etc/crypttab file
    - Don't complain about missing /etc/fstab file
    - Make it work without requiring the kernel to be CONFIG_SWAP=y
    - Don't require that users define UDISKS_API_IS_SUBJECT_TO_CHANGE
    - Lots of documentation updates and corrections
    - Update translations from Transifex
  * debian/rules: Call dh_install with --fail-missing.
  * debian/udisks2.install: Install bash completion from/to
    usr/share/bash-completion/.
  * Add debian/udisks2.maintscript: Remove bash completion in /etc/ on
    upgrade.

 -- Martin Pitt <mpitt@debian.org>  Fri, 05 Oct 2012 10:32:14 +0200

udisks2 (1.99.0+git20120919-1) experimental; urgency=low

  * Update to current upstream git head:
    - configure.ac: raise gudev dependency
    - Update list of recovery/system partitions
    - Add support for creating exFAT filesystems and changing exFAT labels
    - Add textual descriptions for IMSM Raid members
    - Use all-caps for RAID in descriptions
    - Lots of test suite robustifications and added tests
    - Enable large file support (LP: #1039022)
    - Mount vfat with "flush" option
  * Drop 00git_dev_t_annotation.patch, 00git_testsuite.patch.
  * debian/control: Bump libgudev-1.0-dev build dependency as per upstream
    configure.ac.
  * debian/udisks2.install: Install umount.udisks2 into /sbin; our old
    util-linux version does not yet find it in /usr/sbin/. (LP: #1019651)

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Sep 2012 12:04:46 +0200

udisks2 (1.99.0-5) experimental; urgency=low

  * debian/local/udisks2-inhibit: Fix crash when /run/udisks2 does not exist
    yet. (LP: #1048211)
  * 00git_testsuite.patch: Pull latest test suite updates from trunk. This
    disables the tests for mounting XFS and reiserfs on read-only devices, as
    this is known-broken without a workaround.

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Sep 2012 16:03:40 +0200

udisks2 (1.99.0-4) experimental; urgency=low

  * Add debian/local/udisks2-inhibit: Hack to disallow udisks2 mount
    operations for anyone but root while a program is running. This is similar
    to udisks 1.x's "udisks --inhibit .." command. Install it into
    /usr/lib/udisks2/.
  * mount_in_media.patch: As on Debian and Ubuntu /media is not currently a
    tmpfs, we need to put the "mounted-fs" file to a persistent path as well.
    Otherwise udisks does not clean up old mount points that it created after
    a reboot. (LP: #1043772)
  * debian/udisks2.postinst: Migrate the mounted-fs file on upgrades.
  * Update 00git_testsuite.patch: Pull latest test suite updates from trunk.
    This now covers handling of existing mount points, and mounting read-only
    devices, which reproduces LP #435192.

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Sep 2012 16:17:57 +0200

udisks2 (1.99.0-3) experimental; urgency=low

  * Add 00git_dev_t_annotation.patch: Add workaround annotation for
    udisks_client_get_block_for_dev(), to fix UDisks.Block.get_block_for_dev()
    on 32 bit platforms when calling it through introspection. Patch also
    committed to upstream git.
  * Add 00git_testsuite.patch: Pull latest test suite updates from trunk. This
    includes a new test case for permissions for removable devices, plus some
    race condition fixes.
  * mount_in_media.patch: Drop the test suite portion, included in previous
    patch.

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Sep 2012 10:31:42 +0200

udisks2 (1.99.0-2) experimental; urgency=low

  * Add mount_in_media.patch: Mount drives in /media, not /run/media/, to stay
    FHS compatible. (Closes: #680403, LP: #1020759)

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Aug 2012 12:36:09 +0200

udisks2 (1.99.0-1) experimental; urgency=low

  * New upstream release (LP: #1030268)
    - Support Realtek rts5229 SD/MMC card readers. (LP: #1022497)
  * Drop 00git_no_polkit_fallback.patch, upstream now.
  * Drop debian/local/integration-test, shipped in upstream tarball now.
  * debian/tests/upstream-system: Run test suite from upstream source.
  * debian/tests/control: Simplify Depends: line using "@".
  * debian/tests/control: Drop undefined "no-build-needed" feature.

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Jul 2012 13:35:04 +0200

udisks2 (1.98.0-2) experimental; urgency=low

  * debian/local/apport-hook.py: Fix syntax to also work with Python 3.
    (LP: #1013171)
  * debian/tests/upstream-system: Ensure that /var/run/udisks2 exists.
  * debian/tests/control: Add dbus-x11 dependency for dbus-launch.
  * debian/control: Add XS-Testsuite header, as per current DEP-8.

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Jun 2012 07:29:40 +0200

udisks2 (1.98.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Drop ntfsprogs Recommends. It is a transitional package
    for ntfs-3g now, which we already recommend.
  * Add 00git_no_polkit_fallback.patch: Fix crash if polkit is not available.
    Patch backported from current upstream git head.
  * Add debian/local/integration-test: Latest integration test suite from
    upstream git. 1.99 and later will ship that in the source tarball.
  * Add debian/tests/control and debian/tests/upstream-system: DEP-8
    autopkgtest (adapted from udisks package).
  * debian/control: Change suggestion of cryptsetup to cryptsetup-bin, as that
    is sufficient for udisks' needs.
  * debian/copyright: Fix duplicate copyright line, thanks lintian.

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Jun 2012 17:01:30 +0200

udisks2 (1.97.0-2) experimental; urgency=low

  * debian/control: Add udev build dependency, as configure.uc needs its
    pkg-config file to check for the udev directory. Fixes FTBFS.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 May 2012 11:40:02 +0200

udisks2 (1.97.0-1) experimental; urgency=low

  * Initial release. Packaging based on udisks, thanks to Ayan George for
    helping with the packaging!

 -- Martin Pitt <mpitt@debian.org>  Fri, 18 May 2012 11:31:01 +0200
